EXIF library (libexif) API: libexif/exif-loader.h File Reference

- Main Page
- Files
- Directories
- Related Pages

- File List
- Globals

# exif-loader.h File Reference

Defines the ExifLoader type. More...

`#include <libexif/exif-data.h>`
`#include <libexif/exif-loader.h>`
`#include <libexif/exif-log.h>`
`#include <libexif/exif-mem.h>`

Go to the source code of this file.

## Typedefs
typedef _ExifLoader | ExifLoader
## Functions
ExifLoader * | exif_loader_new (void)
ExifLoader * | exif_loader_new_mem (ExifMem *mem)
void | exif_loader_ref (ExifLoader *loader)
void | exif_loader_unref (ExifLoader *loader)
void | exif_loader_write_file (ExifLoader *loader, const char *fname)
unsigned char | exif_loader_write (ExifLoader *loader, unsigned char *buf, unsigned int sz)
void | exif_loader_reset (ExifLoader *loader)
ExifData * | exif_loader_get_data (ExifLoader *loader)
void | exif_loader_log (ExifLoader *, ExifLog *)

## Detailed Description

Defines the ExifLoader type.

## Function Documentation

ExifData* exif_loader_get_data | ( | ExifLoader * | loader | ) |

Get an ExifData out of an ExifLoader

Parameters:

  `[in]` | loader | the loader

Returns:
  and allocated ExifData

ExifLoader* exif_loader_new | ( | void |  | ) |

Allocate a new ExifLoader

Returns:
  the allocated ExifLoader

ExifLoader* exif_loader_new_mem | ( | ExifMem * | mem | ) |

Allocate a new ExifLoader using an ExifMem

Parameters:

  `[in]` | mem | the ExifMem

Returns:
  the allocated ExifLoader

void exif_loader_ref | ( | ExifLoader * | loader | ) |

Increase the refcount of the ExifLoader

Parameters:

  `[in]` | loader | the ExifLoader to increase the refcount of.

void exif_loader_reset | ( | ExifLoader * | loader | ) |

Reset the ExifLoader

Parameters:

  `[in]` | loader | the loader

void exif_loader_unref | ( | ExifLoader * | loader | ) |

Decrease the refcount of the ExifLoader

Parameters:

  `[in]` | loader | the ExifLoader to decrease the refcount of. If the refcount reaches 0, the ExifLoader is freeed.

unsigned char exif_loader_write | ( | ExifLoader * | loader,
|  | unsigned char * | buf,
|  | unsigned int | sz |
| ) |  |  |

Write a buffer to the ExifLoader

Parameters:

  `[in]` | loader | the loader to write too
  `[in]` | buf | the buffer to read from
  `[in]` | sz | the size of the buffer

Returns:
  1 while EXIF data is read (or while there is still hope that there will be EXIF data later on), 0 otherwise.

void exif_loader_write_file | ( | ExifLoader * | loader,
|  | const char * | fname |
| ) |  |  |

Write a file to the ExifLoader

Parameters:

  `[in]` | loader | the loader
  `[in]` | fname | the path to the file to read